/*
 * $Id: re.h,v 1.4 2001/12/20 15:01:36 kenta Exp $
 *
 * Copyright 2001 Kenta Cho. All rights reserved.
 */

/**
 * Re: header file.
 *
 * @version $Revision: 1.4 $
 */
#include <piece.h>

#define randN(N) (rand()%(N))
#define randNS(N) (rand()&1 ? (rand()%(N)) : -(rand()%(N)))
#define randNSW(N, W) (rand()&1 ? (rand()%(N)+(W)) : -(rand()%(N)+(W)))
#define absN(a) ((a) < 0 ? - (a) : (a))

#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 88

#define GAME_TITLE 0
#define IN_GAME 1
#define DEAD 2
#define GAME_OVER 3

extern unsigned char vbuf[SCREEN_WIDTH*SCREEN_HEIGHT];
extern PIECE_BMP re1Bmp, re2Bmp, re3Bmp, re4Bmp, olBmp, plBmp, trgBmp, nlkBmp, numBmp[10],
  titleBmp, startBmp, govBmp, scrBmp;
extern unsigned char BGM1[], BGM2[], BGM3[], BGM4[], BGM5[], FILL[], HIT[],
  KICK[], KICK2[], DOWN1[], DOWN2[], DOWN3[], DOWN4[];

extern int status;
extern int cnt;
extern int demo;

void clearScreen();
void initTitle();
void initInGame();
void initDemo();
void initPlayerDead();
void initGameover();
void playSe(char *snd, int ch);
